<?php
/*
  www.oscGold.com (C) Kamelia-Net Jacek Krysiak
  modul oscGold wer 4.0
*/

	$szerokosc = (SMALL_IMAGE_WIDTH/2)+10;
	$wysokosc = (SMALL_IMAGE_HEIGHT/2)+10;

	if (DISPLAY_PRICE_BRUTTO_NETTO == 'true') {
		$display_nb = 1;
	} else {
		$display_nb = 0;
	}
	
	$tablica_kat = explode(',',$column['dodatkowe_info']);
	//
	if ($tablica_kat != '') {
		$ciag = '';
		for ($indes=0;$indes<count($tablica_kat);$indes++) {
			$ciag .= "and c.categories_id != '" . $tablica_kat[$indes] . "'";
		}
	}
	//	

	if (isset($current_category_id) && ($current_category_id > 0)) {
		$best_sellers_query = tep_db_query("select distinct p.products_id, p.products_image, p.products_tax_class_id, p.products_price, p.products_retail_price, pd.products_name from " . TABLE_PRODUCTS . " p, " . TABLE_PRODUCTS_DESCRIPTION . " pd, " . TABLE_PRODUCTS_TO_CATEGORIES . " p2c, " . TABLE_CATEGORIES . " c where p.products_status = '1' and c.categories_status = '1' and p.products_ordered > 0 and p.products_id = pd.products_id and pd.language_id = '" . (int)$languages_id . "' and p.products_id = p2c.products_id and p2c.categories_id = c.categories_id and '" . (int)$current_category_id . "' in (c.categories_id, c.parent_id) ".$ciag." order by p.products_ordered desc, pd.products_name limit " . MAX_DISPLAY_BESTSELLERS);
	} else {
		$best_sellers_query = tep_db_query("select distinct p.products_id, p.products_image, p.products_tax_class_id, p.products_price, p.products_retail_price, pd.products_name from " . TABLE_PRODUCTS . " p, " . TABLE_PRODUCTS_DESCRIPTION . " pd, " . TABLE_PRODUCTS_TO_CATEGORIES . " p2c, " . TABLE_CATEGORIES . " c  where p.products_status = '1' and c.categories_status = '1' and p.products_ordered > 0 and p.products_id = pd.products_id and pd.language_id = '" . (int)$languages_id . "' and p.products_id = p2c.products_id and p2c.categories_id = c.categories_id ".$ciag." order by p.products_ordered desc, pd.products_name limit " . MAX_DISPLAY_BESTSELLERS);  
	}

	if (tep_db_num_rows($best_sellers_query) >= MIN_DISPLAY_BESTSELLERS && (int)tep_db_num_rows($best_sellers_query) > 0) {
		 $boxHeading = BOX_HEADING_BESTSELLERS;
		 $corner_left = 'rounded';
		 $corner_right = 'rounded';

		 $box_base_name = 'best_sellers';
         $boxContent_attributes = ' align="center"';
		 $box_id = $box_base_name . 'Box';
		 $rows = 0;
         
         $boxContent = '';

		 while ($best_sellers = tep_db_fetch_array($best_sellers_query)) {

			$best_sellers['specials_new_products_price'] = tep_get_products_special_price($best_sellers['products_id']);
			$best_sellers['products_price'] = tep_xppp_getproductprice($best_sellers['products_id']);
			$query_price_to_guest_result = ALLOW_GUEST_TO_SEE_PRICES;
			
			if ($new_price = tep_get_products_special_price($best_sellers['products_id']) ) {
				$best_sellers_org['products_price'] = tep_xppp_getproductprice($best_sellers['products_id']);
				$best_sellers['products_price'] = $new_price;

				if ($best_sellers['products_price'] > 0) {
				  if (SPECIAL_PRICES_HIDE == 'false') {
					if ((($query_price_to_guest_result=='true') && !(tep_session_is_registered('customer_id'))) || ((tep_session_is_registered('customer_id')))) {
					  $best_sellers_price = '<span class="boxText"><s>' . $currencies->display_price($best_sellers['products_id'], $best_sellers_org['products_price'], tep_get_tax_rate($best_sellers['products_tax_class_id'])) . '</s></span><br><span class="productSpecialPrice">' . $currencies->display_price_nodiscount($best_sellers['products_id'], $best_sellers['products_price'],tep_get_tax_rate($best_sellers['products_tax_class_id']),1,$display_nb) .'</span>';
					} else {
					  $best_sellers_price = '<span class="boxText">' . PRICES_LOGGED_IN_TEXT . '</span>';
					}
				  } else {
					$best_sellers_price = '<span class="Cena">' . $currencies->display_price($best_sellers['products_id'], $best_sellers_org['products_price'], tep_get_tax_rate($best_sellers['products_tax_class_id']),1,$display_nb) .'</span>';
				  }
				} else {
				  $best_sellers_price = '<span class="boxText"><b>'.TEMPORARY_NO_PRICE.'</b></span>';
				}
			  } else {
				$best_sellers['products_price'] = tep_xppp_getproductprice($best_sellers['products_id']);
				if ($best_sellers['products_price'] > 0) {
				  $best_sellers_price = '<span class="Cena">' . $currencies->display_price($best_sellers['products_id'],$best_sellers['products_price'],tep_get_tax_rate($best_sellers['products_tax_class_id']),1,$display_nb).'</span>';
				} else {
				  $best_sellers_price = '<span class="boxText"><b>'.TEMPORARY_NO_PRICE.'</b></span>';
				}
			}			
            
			$rows++;
            if ($best_sellers['products_image'] != '') {
                $boxContent .= '<div class="best_name"><a class="boxLink" href="' . tep_href_link(FILENAME_PRODUCT_INFO, 'products_id=' . $best_sellers['products_id']) . '">' . osc_trunc_string($best_sellers['products_name'], 50, 1) . '</a></div>';
                $boxContent .= '<div class="best_cont">';                   
                $boxContent .= '<div class="best_img">';
                $boxContent .= tep_image(DIR_WS_IMAGES .$best_sellers['products_image'], $best_sellers['products_name'], SMALL_IMAGE_WIDTH/2, SMALL_IMAGE_HEIGHT/2,'',$wysokosc,$szerokosc,$best_sellers['products_id'],tep_href_link(FILENAME_PRODUCT_INFO, 'products_id=' . $best_sellers['products_id']),true);
                $boxContent .= '</div><div class="best_price">'.$best_sellers_price.'</div></div>';
            }
		 }
         
         $boxContent = optimize_html($boxContent);

		 include (bts_select('boxes', $box_base_name)); // BTS 1.5
	}
?>